Package opennlp.tools.cmdline.lemmatizer

# Class LemmaEvaluationErrorListener

java.lang.Object
opennlp.tools.cmdline.EvaluationErrorPrinter<opennlp.tools.lemmatizer.LemmaSample>
opennlp.tools.cmdline.lemmatizer.LemmaEvaluationErrorListener

All Implemented Interfaces:
  `opennlp.tools.lemmatizer.LemmatizerEvaluationMonitor`, `opennlp.tools.util.eval.EvaluationMonitor<opennlp.tools.lemmatizer.LemmaSample>`

public class LemmaEvaluationErrorListener extends opennlp.tools.cmdline.EvaluationErrorPrinter<opennlp.tools.lemmatizer.LemmaSample> implements opennlp.tools.lemmatizer.LemmatizerEvaluationMonitor
A default implementation of `EvaluationMonitor` that prints to an output stream.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LemmaEvaluationErrorListener()`
  Creates a listener that will print to the configured `logger`.
  `LemmaEvaluationErrorListener(OutputStream outputStream)`
  Creates a listener that will print to a given `OutputStream`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `misclassified(opennlp.tools.lemmatizer.LemmaSample reference, opennlp.tools.lemmatizer.LemmaSample prediction)`

  ### Methods inherited from class opennlp.tools.cmdline.EvaluationErrorPrinter

  `correctlyClassified`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface opennlp.tools.util.eval.EvaluationMonitor

  `correctlyClassified`

- ## Constructor Details

  - ### LemmaEvaluationErrorListener

    public LemmaEvaluationErrorListener()
    Creates a listener that will print to the configured `logger`.

  - ### LemmaEvaluationErrorListener

    public LemmaEvaluationErrorListener(OutputStream outputStream)
    Creates a listener that will print to a given `OutputStream`

- ## Method Details

  - ### misclassified

    public void misclassified(opennlp.tools.lemmatizer.LemmaSample reference, opennlp.tools.lemmatizer.LemmaSample prediction)
    Specified by:
      `misclassified` in interface `opennlp.tools.util.eval.EvaluationMonitor<opennlp.tools.lemmatizer.LemmaSample>`
    Specified by:
      `misclassified` in class `opennlp.tools.cmdline.EvaluationErrorPrinter<opennlp.tools.lemmatizer.LemmaSample>`